Compatible Java Environments - 7.1

Talend Open Studio for Data Integration Installation and Upgrade Guide for Linux

EnrichVersion
7.1
EnrichProdName
Talend Open Studio for Data Integration
task
Installation and Upgrade
EnrichPlatform
Talend Studio

The following tables provide information on the recommended Java Environment you should download and install to use your Talend product.

The Compiler Compliance Level corresponds to the Java version used for the Job code generation. This option can be changed in the Studio preferences. For more information, see the Talend Studio User Guide.

Note: All Talend products and associated third-party applications, such as the Hadoop cluster, should use the same Java version for compliance. Before you install or upgrade any associated third-party application, Talend recommends that you check which Java version they support.

In the following documentation:

  • recommended: designates an environment recommended by Talend based on our experiences and customer usage;
  • supported: designates a supported environment for use with the listed component or service;
  • supported with limitations: designates an environment that is supported by Talend but with certain conditions explained in notes.

Studio Java environments

Support type JRE Version Note
Recommended OpenJDK 8 Recommended distribution: Zulu
Recommended Oracle 8 Studio JDK Compiler Compliance Level 1.8 (default)